summaryrefslogtreecommitdiffstats
path: root/libraries/haskell-editline
diff options
context:
space:
mode:
author Mikko Varri <vmj@linuxbox.fi>2010-05-13 00:58:36 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:58:36 +0200
commitf239c4cdd0af089484c53eb155e42df74271da38 (patch)
treee52fcea6e1ec4ebd1210c7cd2ea80ffc3bf3adf7 /libraries/haskell-editline
parent340ddf36d8cb9cfab3845f7236debc5afed2ecd3 (diff)
downloadslackbuilds-f239c4cdd0af089484c53eb155e42df74271da38.tar.gz
slackbuilds-f239c4cdd0af089484c53eb155e42df74271da38.tar.xz
libraries/haskell-editline: Added to 13.0 repository
Diffstat (limited to 'libraries/haskell-editline')
-rw-r--r--libraries/haskell-editline/README11
-rw-r--r--libraries/haskell-editline/doinst.sh3
-rw-r--r--libraries/haskell-editline/haskell-editline.SlackBuild79
-rw-r--r--libraries/haskell-editline/haskell-editline.info10
-rw-r--r--libraries/haskell-editline/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/libraries/haskell-editline/README b/libraries/haskell-editline/README
new file mode 100644
index 0000000000..6c99ec20f2
--- /dev/null
+++ b/libraries/haskell-editline/README
@@ -0,0 +1,11 @@
+haskell-editline (Bindings to the editline library (libedit))
+
+This package contains bindings to the BSD editline library. It provides a
+basic interface to the editline API for reading lines of input from the user.
+Additionally, a readline compatibility module is included which provides a
+subset of the functions from the readline package.
+
+This requires libedit and ghc.
+
+When uninstalling, run this command to unregister the package from the ghc
+package database: ghc-pkg unregister editline
diff --git a/libraries/haskell-editline/doinst.sh b/libraries/haskell-editline/doinst.sh
new file mode 100644
index 0000000000..4038a8fd5c
--- /dev/null
+++ b/libraries/haskell-editline/doinst.sh
@@ -0,0 +1,3 @@
+chroot . sh /install/register.sh
+rm -f install/register.sh
+rmdir install 2>/dev/null
diff --git a/libraries/haskell-editline/haskell-editline.SlackBuild b/libraries/haskell-editline/haskell-editline.SlackBuild
new file mode 100644
index 0000000000..b5681622da
--- /dev/null
+++ b/libraries/haskell-editline/haskell-editline.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for haskell-editline
+
+# Written by Mikko Varri (vmj@linuxbox.fi)
+# Public domain.
+
+PRGNAM=haskell-editline
+VERSION=${VERSION:-0.2.1.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+TARNAM=editline
+GHC_VERSION=$(ghc-pkg field ghc version | cut -d' ' -f2)
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $TARNAM-$VERSION
+tar xvf $CWD/$TARNAM-$VERSION.tar.gz
+cd $TARNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKFLAGS" \
+runhaskell Setup.lhs configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libsubdir=ghc-${GHC_VERSION}/$TARNAM-$VERSION \
+ --enable-shared \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+runhaskell Setup.lhs build
+runhaskell Setup.lhs haddock
+runhaskell Setup.lhs copy --destdir=$PKG
+runhaskell Setup.lhs register --gen-script
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+mv $TMP/$TARNAM-$VERSION/register.sh $PKG/install/register.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/haskell-editline/haskell-editline.info b/libraries/haskell-editline/haskell-editline.info
new file mode 100644
index 0000000000..c7ab8ed812
--- /dev/null
+++ b/libraries/haskell-editline/haskell-editline.info
@@ -0,0 +1,10 @@
+PRGNAM="haskell-editline"
+VERSION="0.2.1.0"
+HOMEPAGE="http://hackage.haskell.org/package/editline"
+DOWNLOAD="http://hackage.haskell.org/packages/archive/editline/0.2.1.0/editline-0.2.1.0.tar.gz"
+MD5SUM="fa57f434e538bb32bbfa97aface34358"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Mikko Varri"
+EMAIL="vmj@linuxbox.fi"
+APPROVED="rworkman"
diff --git a/libraries/haskell-editline/slack-desc b/libraries/haskell-editline/slack-desc
new file mode 100644
index 0000000000..9e942b8e2f
--- /dev/null
+++ b/libraries/haskell-editline/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+haskell-editline: haskell-editline (Bindings to the editline library (libedit))
+haskell-editline:
+haskell-editline: This package contains bindings to the BSD editline library. It
+haskell-editline: provides a basic interface to the editline API for reading lines of
+haskell-editline: input from the user. Additionally, a readline compatibility module
+haskell-editline: is included which provides a subset of the functions from the
+haskell-editline: readline package.
+haskell-editline:
+haskell-editline: http://hackage.haskell.org/package/editline
+haskell-editline:
+haskell-editline: